# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Actionlint < Formula
  desc "Static checker for GitHub Actions workflow files"
  homepage "https://github.com/rhysd/actionlint#readme"
  version "1.6.8"
  license "MIT"

  on_macos do
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.8/actionlint_1.6.8_darwin_amd64.tar.gz"
      sha256 "cab53c00fbfbf6bbb014ee57e2e17a4b5ae4bf963cb21eeae0597989f1be9e8e"

      def install
        bin.install "actionlint"
        man1.install "man/actionlint.1"
      end
    end
    if Hardware::CPU.arm?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.8/actionlint_1.6.8_darwin_arm64.tar.gz"
      sha256 "6a144544ce84c05435767f7788f6ec6c13c2d2b8d27c0cf6aa35e980e98c7970"

      def install
        bin.install "actionlint"
        man1.install "man/actionlint.1"
      end
    end
  end

  on_linux do
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.8/actionlint_1.6.8_linux_arm64.tar.gz"
      sha256 "c569c077fc6263866e91e52ab803722623c5a7fe2f2ee5a9010697468d1fecc9"

      def install
        bin.install "actionlint"
        man1.install "man/actionlint.1"
      end
    end
    if Hardware::CPU.arm? && !Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.8/actionlint_1.6.8_linux_armv6.tar.gz"
      sha256 "aad03d7e005599d00fa722e9f77ed41085c759a79a6ee5a3081b19ac6fe4ebcd"

      def install
        bin.install "actionlint"
        man1.install "man/actionlint.1"
      end
    end
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.8/actionlint_1.6.8_linux_amd64.tar.gz"
      sha256 "d12b8eb70746aea2d5289302d9d22682701d03d2491c969ceadd9d9270e04f20"

      def install
        bin.install "actionlint"
        man1.install "man/actionlint.1"
      end
    end
  end

  test do
    system "#{bin}/actionlint -version"
  end
end
